org.firebirdsql.gds.ng

## Class BlobHelper

- java.lang.Object
- - org.firebirdsql.gds.ng.BlobHelper

    public final class BlobHelper
    extends java.lang.Object

Class with static helper methods for use with blobs.

Since:
  5.0.8
Author:
  Mark Rotteveel

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `checkBlobClosed(FbBlob blob)`
`static void` `checkBlobOpen(FbBlob blob)` Checks if the blob is open.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### checkBlobOpen

    public static void checkBlobOpen(FbBlob blob)
                              throws java.sql.SQLException

Checks if the blob is open.

Throws:
  `java.sql.SQLException` - when the blob is closed.

#### checkBlobClosed

    public static void checkBlobClosed(FbBlob blob)
                                throws java.sql.SQLException

Throws:
  `java.sql.SQLException` - when the blob is open.